Loading...
Searching...
No Matches
pcl::PCLPointField Struct Reference

`#include <pcl/PCLPointField.h>`

## Public Types

enum

PointFieldTypes {
BOOL = traits::asEnum_v<bool> , INT8 = traits::asEnum_v<std::int8_t> , UINT8 = traits::asEnum_v<std::uint8_t> , INT16 = traits::asEnum_v<std::int16_t> ,
UINT16 = traits::asEnum_v<std::uint16_t> , INT32 = traits::asEnum_v<std::int32_t> , UINT32 = traits::asEnum_v<std::uint32_t> , INT64 = traits::asEnum_v<std::int64_t> ,
UINT64 = traits::asEnum_v<std::uint64_t> , FLOAT32 = traits::asEnum_v<float> , FLOAT64 = traits::asEnum_v<double>
}

using | Ptr = shared_ptr< ::pcl::PCLPointField >
using | ConstPtr = shared_ptr< const ::pcl::PCLPointField >

## Public Attributes

std::string | name
uindex_t | offset = 0
std::uint8_t | datatype = 0
uindex_t | count = 0

## Detailed Description

Definition at line 12 of file PCLPointField.h.

## Member Typedef Documentation

## ConstPtr

using pcl::PCLPointField::ConstPtr = shared_ptr<const ::pcl::PCLPointField>

Definition at line 34 of file PCLPointField.h.

## Ptr

using pcl::PCLPointField::Ptr = shared_ptr< ::pcl::PCLPointField>

Definition at line 33 of file PCLPointField.h.

## Member Enumeration Documentation

## PointFieldTypes

enum pcl::PCLPointField::PointFieldTypes

Enumerator
BOOL |
INT8 |
UINT8 |
INT16 |
UINT16 |
INT32 |
UINT32 |
INT64 |
UINT64 |
FLOAT32 |
FLOAT64 |

Definition at line 20 of file PCLPointField.h.

## Member Data Documentation

## count

uindex_t pcl::PCLPointField::count = 0

Definition at line 18 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()(), and pcl::FieldMatches< PointT, Tag >::operator()().

## datatype

std::uint8_t pcl::PCLPointField::datatype = 0

Definition at line 17 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()(), and pcl::FieldMatches< PointT, Tag >::operator()().

## name

std::string pcl::PCLPointField::name

Definition at line 14 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()(), and pcl::FieldMatches< PointT, Tag >::operator()().

## offset

uindex_t pcl::PCLPointField::offset = 0

Definition at line 16 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()().

The documentation for this struct was generated from the following file:

- pcl/PCLPointField.h